com.icesoft.faces.component.panellayout

## Class PanelLayout

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - com.icesoft.faces.component.panellayout.PanelLayout

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class PanelLayout
      extends javax.faces.component.UIComponentBase

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ABSOLUATELAYOUT`
    `static java.lang.String` | `FLOWLAYOUT`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PanelLayout()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFamily()` Return the family for this component.
    `java.lang.String` | `getLayout()`
    `java.lang.String` | `getRenderedOnUserRole()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `boolean` | `isRendered()` Return the value of the `rendered` property.
    `boolean` | `isVisible()` Return the value of the `visible` property.
    `void` | `restoreState(javax.faces.context.FacesContext _context, java.lang.Object _state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext _context)`
    `void` | `setLayout(java.lang.String _layout)`
    `void` | `setRenderedOnUserRole(java.lang.String _renderedOnUserRole)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setVisible(boolean visible)` Set the value of the `visible` property.

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FLOWLAYOUT

          public static final java.lang.String FLOWLAYOUT

      See Also:
        Constant Field Values

    - #### ABSOLUATELAYOUT

          public static final java.lang.String ABSOLUATELAYOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PanelLayout

          public PanelLayout()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Return the family for this component.

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### getLayout

          public java.lang.String getLayout()

    - #### isRendered

          public boolean isRendered()

      Return the value of the `rendered` property.

      Overrides:
        `isRendered` in class `javax.faces.component.UIComponentBase`

    - #### getRenderedOnUserRole

          public java.lang.String getRenderedOnUserRole()

    - #### getStyle

          public java.lang.String getStyle()

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setVisible

          public void setVisible(boolean visible)

      Set the value of the `visible` property.

    - #### isVisible

          public boolean isVisible()

      Return the value of the `visible` property.

    - #### setLayout

          public void setLayout(java.lang.String _layout)

    - #### setRenderedOnUserRole

          public void setRenderedOnUserRole(java.lang.String _renderedOnUserRole)

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext _context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIComponentBase`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext _context,
                                   java.lang.Object _state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIComponentBase`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.